package ch.zhaw.projekt2.turnierverwaltung.main.gameScheduleView;

import ch.zhaw.projekt2.turnierverwaltung.FXController;
import ch.zhaw.projekt2.turnierverwaltung.Tournament;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.CheckBox;
import javafx.scene.layout.HBox;

public class GameScheduleController extends FXController {
    
    @FXML
    private Button createScheduleBtn;

    @FXML
    private Button editLocBtn;

    @FXML
    private Button editParticipantBtn;

    @FXML
    private Button closeTournamentBtn;

    @FXML
    private HBox hBoxCenter;

    @FXML
    private CheckBox treeView;

    @FXML
    void createNewSchedule(ActionEvent event) {
        getTournamentDecorator().createNewGameSchedule();
    }

    @FXML
    void openPlacesFormular(ActionEvent event) {
        getFactoryDecorator().openPlacesFormular();
    }

    @FXML
    void openParticipantFormular(ActionEvent event) {
        getFactoryDecorator().openParticipantFormular();
    }

    @FXML
    void closeTournament(ActionEvent event) {
        getFactoryDecorator().openTournamentList();
    }

    @FXML
    void changeView(ActionEvent event) {
        loadContent();
    }

    @Override
    public void loadContent() {
        getFactoryDecorator().loadGameList(hBoxCenter, getTournamentDecorator(), treeView.isSelected());
    }
}

